## QmiClientVoice QmiClientVoice — QmiClient for the VOICE service. |

## Signals

void | all-call-status | Run Last
void | originate-ussd-no-wait | Run Last
void | release-ussd | Run Last
void | ussd | Run Last

## Types and Values

struct | QmiClientVoice

## Object Hierarchy

        GObject
        ╰── QmiClient
            ╰── QmiClientVoice

## Description

QmiClient which handles operations in the VOICE service.

## Functions

## Types and Values

### struct QmiClientVoice

    struct QmiClientVoice;

The QmiClientVoice structure contains private data and should only be accessed using the provided API.

Since: 1.14

## Signal Details

### The `“all-call-status”` signal

    void
    user_function (QmiClientVoice                        *object,
                   QmiIndicationVoiceAllCallStatusOutput *output,
                   gpointer                               user_data)

The ::all-call-status signal gets emitted when a 'All Call Status' indication is received.

#### Parameters

object | A QmiClientVoice. |
output | A QmiIndicationVoiceAllCallStatusOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.14

### The `“originate-ussd-no-wait”` signal

    void
    user_function (QmiClientVoice                              *object,
                   QmiIndicationVoiceOriginateUssdNoWaitOutput *output,
                   gpointer                                     user_data)

The ::originate-ussd-no-wait signal gets emitted when a 'Originate USSD No Wait' indication is received.

#### Parameters

object | A QmiClientVoice. |
output | A QmiIndicationVoiceOriginateUssdNoWaitOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.26

### The `“release-ussd”` signal

    void
    user_function (QmiClientVoice *object,
                   gpointer        user_data)

The ::release-ussd signal gets emitted when a 'Release USSD' indication is received.

#### Parameters

object | A QmiClientVoice. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.26

### The `“ussd”` signal

    void
    user_function (QmiClientVoice               *object,
                   QmiIndicationVoiceUssdOutput *output,
                   gpointer                      user_data)

The ::ussd signal gets emitted when a 'USSD' indication is received.

#### Parameters

object | A QmiClientVoice. |
output | A QmiIndicationVoiceUssdOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.26